
program stst;

var
z:packed array [1..5] of char;


procedure onevar(var s:packed array [lo..hi:integer] of char);

begin
end;

procedure oneval(s:packed array [lo..hi:integer] of char);

begin
end;

procedure twovar(var x:packed array [lo..hi:integer] of char);
begin
onevar(x);
oneval(x)
end;

procedure twoval(x:packed array [lo..hi:integer] of char);
begin
onevar(x);
oneval(x)
end;

begin
twovar('hi there');
twoval('hi there');
z := '12345';
twovar(z);
twoval(z)
end.
